import { type Base, genBase } from './_base'
import type { Employee } from './employee'

export interface SpecialistPosition extends Base {
  specialist_id: string
  code: string
  name: string
  headStatus?: boolean
  employee_id?: number
  employee?: Employee | null
}

export function genSpecialistPosition(): SpecialistPosition {
  return {
    ...genBase(),
    specialist_id: '',
    code: '',
    name: '',
    headStatus: false,
    employee_id: 0,
  }
}
